<%@ Page language="VB" Debug="true" Strict="true" codebehind="tables.aspx.vb" src="tables.aspx.vb" inherits="Table" %>
<html>
<head>
  <title>Xefteri -  Example of Creating clickable table rows in ASP.NET that change colors</title>
<script type="text/javascript">
//declare global variables
var rowsSelected = 0;

//change the background color of a row when selected and
//also count how many rows are selected
function colorRow(srcElement)
{
  var cb = event.srcElement;
  var curElement = cb;
  while (curElement && !(curElement.tagName == "TR"))
  {
    curElement = curElement.parentElement;
  }
  if (!(curElement == cb) && (cb.name != "cbxSelectAll"))
  {
    if (cb.checked)
    {
      curElement.style.backgroundColor = "gold";
      rowsSelected = rowsSelected + 1;
    }
    else
    {
      curElement.style.backgroundColor = "#eeeeee";
      rowsSelected = rowsSelected - 1;
    }
  }
}

//color all rows when the main checkbox is clicked
function checkAll(form)
{
  var thisNumRowsSelected = 0;
  var isChecked = document.all.cbxSelectAll.checked;
  for (var i=0; i < form.elements.length; i++)
  {
    if (form.elements[i].name.indexOf('_ctl') > -1)
    {
      var curElement = form.elements[i];
      if (isChecked)
      {
       	curElement.checked = true;
        thisNumRowsSelected = thisNumRowsSelected + 1;
        while (!(curElement.tagName == "TR"))
        {
          curElement = curElement.parentElement;
        }
        if (form.elements[i].name != "cbxSelectAll")
        {
          curElement.style.backgroundColor = "gold";
        }
      }
      else
      {
        curElement.checked = false;
        while (!(curElement.tagName == "TR"))
        {
          curElement = curElement.parentElement;
        }
        if (form.elements[i].name != "cbxSelectAll")
        {
          curElement.style.backgroundColor = "#eeeeee";
        }
      }
    }
  }
  rowsSelected = thisNumRowsSelected
}
</script>
</head>
<body bgcolor="#ffffff">
<form id="myForm" method="post" runat="server">
	<asp:Table runat="server" id="myTable" cellpadding="3" cellspacing="1" border="0"> 
		<asp:TableRow BackColor="#c9c9c9"> 
			<asp:TableCell>
				<input name="cbxSelectAll" type="checkbox" onclick="javascript:checkAll(this.form);">
			</asp:TableCell>
			<asp:TableCell Text="Output" />
		</asp:TableRow>
	</asp:Table>
</form>
</body>
</html>
